﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent DSO90604A: (1 yr) VER VISA /9500/3200+5Hd,LO
DATE:                  2011-02-18 08:56:38
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       363
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
CONFIGURATION:         Agilent E8257D
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#@
#@ Model(s) Covered:
#@       Agilent DSO90604A
#@
#@ Compatibility:
#@        MET/CAL 7.3 or later
#@
#@ Source(s):
#@       Agilent 90000 Series Infiniium Oscilloscopes Service Guide,
#@        Part No. 54913-97007, December 2008
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection VISA
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Connector Precautions (3.5 mm)
#        Sub Agilent Infiniium Channel Selection VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA
#        Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500
#        Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500
#        Sub AT DSO/DSA90xx4A (1 yr) Bandwidth VER VISA /9560
#        Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LO
#        Sub Reset /LO
#        Sub Output Off /LO
#        Sub Apply /LO
#        Sub Send Command /LO
#
#  Required Files:
#        None
#
#@ Flexible Standard(s) Required:
#@       - Local Oscillator (LO):
#@         Example: Agilent E8257D Opt 520 or equivalent
#@         - Frequency Range: 10.00002 MHz, CW
#@           Accuracy: < ± 0.01 ppm
#@           Settability: 10 Hz (Internal)
#@         - Amplitude Range: 0 dBm (into 50 Ohms)
#@
#@ Additional Equipment Required:
#@       Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent Part No.
#@         54855-67604, No Substitute
#@
#  The procedure was tested using:
#        Model Number      : DSO91304A (simulating DSO90604A)
#        Serial number     : MY47350002
#        Firmware Revision : 03.02.0000
#
#@ Average run time during testing:
#@             33 min.
#@
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK+           K
  1.002  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.003  IF           0
  1.004  M9500                       CH1
  1.005  9500         10MH                         600mVpp        LS    S  L
  1.006  M9500                       CH2
  1.007  9500         10MH                         600mVpp        LS    S  L
  1.008  M9500                       CH3
  1.009  9500         10MH                         600mVpp        LS    S  L
  1.010  M9500                       CH4
  1.011  9500         10MH                         600mVpp        LS    S  L
  1.012  M9500                       CH5
  1.013  9500         6GH                          100mVpp        LS    S  L
  1.014  IEEE         [@LO]
  1.015  ENDIF

  1.016  IF           NOT(VERSIONCHECK("7.3"))
  1.017  DISP         Met/CAL Version 7.3 or later is required.
  1.018  END
  1.019  ENDIF

  1.020  CALL         Sub Display Copyright

  1.021  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.022  CALL         Sub UUT Connection VISA

  1.023  IF           @Abort
  1.024  END
  1.025  ENDIF

  1.026  VISA         *RST

  1.027  HEAD         UUT IDENTIFICATION
  1.028  CALL         Sub IEEE-488.2 Identification Query VISA

  1.029  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.030  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.031  MATH         @UUT_Model         = "DSO90604A"
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

# Set Post-Test reset condition for UUT.
  1.036  RESET        *CLS[GTL]

  1.037  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.038  CALL         Sub Select Failed Test Mode

  1.039  HEAD         EQUIPMENT REQUIRED
  1.040  HEAD         -2 (Page 1 of 2)
  1.041  DISP         Flexible Standard(s) Required:
  1.041  DISP
  1.041  DISP         - Local Oscillator (LO):
  1.041  DISP         [32] Example: Agilent E8257D Opt 520 or equivalent
  1.041  DISP
  1.041  DISP         [32] - Frequency Range: 10.00002 MHz, CW
  1.041  DISP         [32]   Accuracy:        ±0.01 ppm
  1.041  DISP         [32]   Settability:     10 Hz or better
  1.041  DISP
  1.041  DISP         [32] - Amplitude Range: 0 dBm (into 50 Ohms)

  1.042  HEAD         -2 (Page 2 of 2)
  1.043  DISP         The following additional equipment is required to
  1.043  DISP         facilitate the verification:
  1.043  DISP
  1.043  DISP         - Adapter, precision, Agilent Part No. 54855-67604,
  1.043  DISP         [32] no substitute
  1.044  HEAD         -2

  1.045  HEAD         CONNECTION INFORMATION
  1.046  OPBR         -z Do you wish to review connector information and
  1.046  OPBR         precautions for the various connections employed
  1.046  OPBR         throughout this procedure?[NO]

  1.047  IF           MEM1
  1.048  CALL         Sub Connector Precautions (Type N)
  1.049  CALL         Sub Connector Precautions (SMA)
  1.050  CALL         Sub Connector Precautions (3.5 mm)
  1.051  ENDIF

  1.052  HEAD         PRELIMINARY INSTRUCTIONS
  1.053  DISP         Ensure a minimum UUT warm-up time of 30 minutes
  1.053  DISP         has elapsed prior to proceeding.

  1.054  CALL         Sub Initialize /LO
  1.055  CALL         Sub Reset /LO
  1.056  CALL         Sub Output Off /LO

# Configure UUT Bandwidth and Test Parameters.  Due to the nature of these
# tests, and/or the use of UUT Average Acquisition Mode, all testing is
# performed with the following parameters.  There is no need for separate
# TAR and MU modes.
  1.057  MATH         @Bandwidth = 6E+9
  1.058  VSET         NMEAS = 1; NTHROW = 0; NSD = 3

  1.059  HEAD         INSTRUMENT CONNECTIONS
  1.060  DISP         Remove ALL connections from the UUT channel inputs.
  1.060  DISP
  1.060  DISP         The next routine operator intervention occurs
  1.060  DISP         in approximately 4 minutes.

  1.061  RSLT         =
  1.062  HEAD         SELF TEST
  1.063  TARGET
  1.064  HEAD         -2 Performing SELF TEST, please wait...
  1.065  VISA         [T300000]*TST?[I]
  1.066  HEAD         -2
  1.067  EVAL   -e NOT(MEM) : SELF TEST

  2.001  IF           FAIL()
  2.002  END
  2.003  ENDIF

  2.004  MATH         @Chan = 1
  2.005  M9500                       CH1
  2.006  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.007  MATH         @Chan = 2
  2.008  M9500                       CH2
  2.009  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.010  MATH         @Chan = 3
  2.011  M9500                       CH3
  2.012  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.013  MATH         @Chan = 4
  2.014  M9500                       CH4
  2.015  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA

  2.016  HEAD         INSTRUMENT CONNECTIONS
  2.017  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.018  DISP         Make the following connections:
  2.018  DISP
  2.018  DISP         [32]       9500          to    UUT
  2.018  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1
  2.018  DISP         [32]  CH2 ACTIVE HEAD -------> Ch 2
  2.018  DISP         [32]  CH3 ACTIVE HEAD -------> Ch 3
  2.018  DISP         [32]  CH4 ACTIVE HEAD -------> Ch 4
  2.018  DISP
  2.018  DISP         The next routine operator intervention occurs
  2.018  DISP         in approximately 22 minutes...

  2.019  MATH         @Chan = 1
  2.020  M9500                       CH1
  2.021  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.022  MATH         @Chan = 2
  2.023  M9500                       CH2
  2.024  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.025  MATH         @Chan = 3
  2.026  M9500                       CH3
  2.027  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.028  MATH         @Chan = 4
  2.029  M9500                       CH4
  2.030  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500

  2.031  MATH         @Chan = 1
  2.032  M9500                       CH1
  2.033  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.034  MATH         @Chan = 2
  2.035  M9500                       CH2
  2.036  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.037  MATH         @Chan = 3
  2.038  M9500                       CH3
  2.039  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.040  MATH         @Chan = 4
  2.041  M9500                       CH4
  2.042  CALL         Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500

  2.043  HEAD         INSTRUMENT CONNECTIONS
  2.044  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.045  DISP         Make the following connections:
  2.045  DISP
  2.045  DISP         [32]       9500          to    UUT
  2.045  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 1
  2.045  DISP
  2.045  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.045  DISP         [32]     to facilitate the connection between the
  2.045  DISP         [32]     9560 Active Head and the UUT.
  2.045  DISP
  2.045  DISP         The next routine operator intervention occurs
  2.045  DISP         in approximately 1½ minutes...

  2.046  MATH         @Chan = 1
  2.047  M9500                       CH5
  2.048  CALL         Sub AT DSO/DSA90xx4A (1 yr) Bandwidth VER VISA /9560

  2.049  HEAD         INSTRUMENT CONNECTIONS
  2.050  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.051  DISP         Make the following connections:
  2.051  DISP
  2.051  DISP         [32]       9500          to    UUT
  2.051  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 2
  2.051  DISP
  2.051  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.051  DISP         [32]     to facilitate the connection between the
  2.051  DISP         [32]     9560 Active Head and the UUT.
  2.051  DISP
  2.051  DISP         The next routine operator intervention occurs
  2.051  DISP         in approximately 1½ minutes...

  2.052  MATH         @Chan = 2
  2.053  M9500                       CH5
  2.054  CALL         Sub AT DSO/DSA90xx4A (1 yr) Bandwidth VER VISA /9560

  2.055  HEAD         INSTRUMENT CONNECTIONS
  2.056  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.057  DISP         Make the following connections:
  2.057  DISP
  2.057  DISP         [32]       9500          to    UUT
  2.057  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 3
  2.057  DISP
  2.057  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.057  DISP         [32]     to facilitate the connection between the
  2.057  DISP         [32]     9560 Active Head and the UUT.
  2.057  DISP
  2.057  DISP         The next routine operator intervention occurs
  2.057  DISP         in approximately 1½ minutes...

  2.058  MATH         @Chan = 3
  2.059  M9500                       CH5
  2.060  CALL         Sub AT DSO/DSA90xx4A (1 yr) Bandwidth VER VISA /9560

  2.061  HEAD         INSTRUMENT CONNECTIONS
  2.062  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.063  DISP         Make the following connections:
  2.063  DISP
  2.063  DISP         [32]       9500          to    UUT
  2.063  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 4
  2.063  DISP
  2.063  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.063  DISP         [32]     to facilitate the connection between the
  2.063  DISP         [32]     9560 Active Head and the UUT.
  2.063  DISP
  2.063  DISP         The next routine operator intervention occurs
  2.063  DISP         in approximately 1½ minutes.

  2.064  MATH         @Chan = 4
  2.065  M9500                       CH5
  2.066  CALL         Sub AT DSO/DSA90xx4A (1 yr) Bandwidth VER VISA /9560

  2.067  HEAD         INSTRUMENT CONNECTIONS
  2.068  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.069  DISP         Connect the [V @LO_DevName] [V @LO_Output] to the
  2.069  DISP         UUT Ch 1 INPUT.
  2.069  DISP
  2.069  DISP         The next routine operator intervention occurs
  2.069  DISP         in < 1 minute (verification will complete, barring
  2.069  DISP         any failures).

  2.070  MATH         @Chan = 1
  2.071  M9500                       CH1
  2.072  CALL         Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO

  2.073  RSLT         =
  2.074  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  2.075  END
